{% extends "base.html" %}
{% block title %}Your Projects{% endblock %}
{% block content %}
    <h3>Your Projects</h3>
    <a href="{{ url_for('project.add_project') }}">Add New Project</a>
    <ul>
        {% for project in projects %}
            <li> <a href="{{ url_for('project.view_project', project_id=project.projectID) }}">{{ project.name }}</a> </li>
                <!-- Bouton pour éditer le projet -->
                <a href="{{ url_for('project.edit_project', project_id=project.projectID) }}" class="btn btn-sm btn-primary">Edit</a>
                <!-- Formulaire pour supprimer le projet -->
                <form action="{{ url_for('project.delete_project', project_id=project.projectID) }}" method="post" style="display:inline;">
                    <button type="submit" class="btn btn-sm btn-danger">Delete</button>
                </form>
            
        {% endfor %}
    </ul>
{% endblock %}

<h3>Projects List</h3>
<ul>
    {% for project in projects %}
    <li>
        {{ project.name }}
        <!-- Bouton pour éditer le projet -->
        <a href="{{ url_for('project.edit_project', project_id=project.projectID) }}" class="btn btn-sm btn-primary">Edit</a>
        <!-- Formulaire pour supprimer le projet -->
        <form action="{{ url_for('project.delete_project', project_id=project.projectID) }}" method="post" style="display:inline;">
            <button type="submit" class="btn btn-sm btn-danger">Delete</button>
        </form>
    </li>
    {% endfor %}
</ul>
